### Name: TSdbiMethods
### Title: TSdbi ODBC Methods
### Aliases: TSconnect,ODBCDriver,character-method
###   TSget,character,TSodbcConnection-method
###   TSput,ANY,character,TSodbcConnection-method
###   TSdelete,character,TSodbcConnection-method
###   TSdescription,character,TSodbcConnection-method
###   TSdoc,character,TSodbcConnection-method
###   TSlabel,character,TSodbcConnection-method
###   TSdates,character,TSodbcConnection-method dbDisconnect,RODBC-method
###   dbExistsTable,RODBC,character-method
###   dbGetQuery,RODBC,character-method dbListTables,RODBC-method
###   dbUnloadDriver,ODBCDriver-method ODBC TSodbcConnection-class
###   dbObjectId-class ODBCObject-class ODBCDriver-class
###   ODBCConnection-class
### Keywords: ts

### ** Examples

    con <- try(TSconnect(dbDriver("ODBC"), dbname="test"))
    if(! inherits(con, "try-error")) {
      z <- ts(rnorm(100), start=c(1975,1), frequency=12)
      seriesNames(z) <- "random1"
      if(TSexists("random1", con)) TSreplace(z, con) else
      TSput(z, con)
      z1 <- TSget("random1", con)
      tfplot(z1)
      z <- ts(matrix(rnorm(100),50,2), start=c(1975,1), frequency=4)
      seriesNames(z) <- c("random2","random3")
      if(TSexists("random2", con) |
         TSexists("random3", con) ) TSreplace(z, con) else
      TSput(z, con)
      z2 <- TSget("random2", con)
      tfplot(z2)
      TSdates("D1", con)
      TSdates("random2", con)
      TSdates(c("random1","random2","random3"), con)
      TSmeta("random2", con)
      options(TSconnection=con)
      z2 <- TSget(c("random2","random3"))
      z <- TSdates(c("D1","random2","random3"))
      print(z)
      TSmeta("random2")
      TSdelete("random1", con)
      TSdelete("random2")
      dbDisconnect(con)
      }
    con <- try(TSconnect(dbDriver("ODBC"), dbname="ets"))
    if(! inherits(con, "try-error")) {
      TSmeta("B103", con)
      z1 <- TSget("B103", con)
      tfplot(z1)
      z2 <- TSget(c("B103", "B104"), con)
      tfplot(z2)
      options(TSconnection=con)
      TSmeta("B103")
      z2 <- TSget(c("B103","B104"))
      TSmeta(z2)
      TSdates("D1", con)
      TSdates("B103", con)
      TSdates(c("D1","B103","B104"), con)
      z <- TSdates(c("D1","B103","B104"))
      print(z)
      start(z)
      end(z)
      dbDisconnect(con)
      }



